Browse Source

Sync with portage [Mon Jul 12 22:22:18 MSK 2021].

tags/2015
root 2 months ago
parent
commit
d2df2306ae
100 changed files with 1132 additions and 452 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. +0
    -0
      acct-group/defang/Manifest
  4. +10
    -0
      acct-group/defang/defang-0.ebuild
  5. +12
    -0
      acct-group/defang/metadata.xml
  6. +0
    -0
      acct-group/ftpproxy/Manifest
  7. +10
    -0
      acct-group/ftpproxy/ftpproxy-0.ebuild
  8. +12
    -0
      acct-group/ftpproxy/metadata.xml
  9. +0
    -0
      acct-group/ngrep/Manifest
  10. +17
    -0
      acct-group/ngrep/metadata.xml
  11. +10
    -0
      acct-group/ngrep/ngrep-0-r1.ebuild
  12. +0
    -0
      acct-group/postfwd/Manifest
  13. +16
    -0
      acct-group/postfwd/metadata.xml
  14. +10
    -0
      acct-group/postfwd/postfwd-0.ebuild
  15. +0
    -0
      acct-group/rslsync/Manifest
  16. +12
    -0
      acct-group/rslsync/metadata.xml
  17. +10
    -0
      acct-group/rslsync/rslsync-0.ebuild
  18. +0
    -0
      acct-group/samplicator/Manifest
  19. +12
    -0
      acct-group/samplicator/metadata.xml
  20. +10
    -0
      acct-group/samplicator/samplicator-0.ebuild
  21. +0
    -0
      acct-group/stg/Manifest
  22. +12
    -0
      acct-group/stg/metadata.xml
  23. +10
    -0
      acct-group/stg/stg-0.ebuild
  24. BIN
      acct-user/Manifest.gz
  25. +0
    -0
      acct-user/defang/Manifest
  26. +13
    -0
      acct-user/defang/defang-0.ebuild
  27. +12
    -0
      acct-user/defang/metadata.xml
  28. +0
    -0
      acct-user/ftpproxy/Manifest
  29. +15
    -0
      acct-user/ftpproxy/ftpproxy-0.ebuild
  30. +12
    -0
      acct-user/ftpproxy/metadata.xml
  31. +0
    -0
      acct-user/ngrep/Manifest
  32. +17
    -0
      acct-user/ngrep/metadata.xml
  33. +13
    -0
      acct-user/ngrep/ngrep-0-r1.ebuild
  34. +0
    -0
      acct-user/postfwd/Manifest
  35. +16
    -0
      acct-user/postfwd/metadata.xml
  36. +13
    -0
      acct-user/postfwd/postfwd-0.ebuild
  37. +0
    -0
      acct-user/rslsync/Manifest
  38. +12
    -0
      acct-user/rslsync/metadata.xml
  39. +15
    -0
      acct-user/rslsync/rslsync-0.ebuild
  40. +0
    -0
      acct-user/samplicator/Manifest
  41. +12
    -0
      acct-user/samplicator/metadata.xml
  42. +14
    -0
      acct-user/samplicator/samplicator-0.ebuild
  43. +0
    -0
      acct-user/stg/Manifest
  44. +12
    -0
      acct-user/stg/metadata.xml
  45. +13
    -0
      acct-user/stg/stg-0.ebuild
  46. BIN
      app-accessibility/Manifest.gz
  47. +1
    -0
      app-accessibility/at-spi2-core/Manifest
  48. +1
    -1
      app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild
  49. +55
    -0
      app-accessibility/at-spi2-core/at-spi2-core-2.40.3.ebuild
  50. BIN
      app-admin/Manifest.gz
  51. +1
    -1
      app-admin/exo/Manifest
  52. +0
    -0
      app-admin/exo/exo-1.36.0.ebuild
  53. +1
    -1
      app-admin/fam/fam-2.7.0_p17_p3.ebuild
  54. +0
    -15
      app-admin/fluentd/files/fluentd-1.2.6.initd
  55. +1
    -1
      app-admin/gam-server/gam-server-0.1.10-r2.ebuild
  56. +2
    -2
      app-admin/gamin/gamin-0.1.10-r1.ebuild
  57. +0
    -19
      app-admin/puppet/files/puppet-fix-tests-6.10.1.patch
  58. BIN
      app-arch/Manifest.gz
  59. +1
    -1
      app-arch/gnome-autoar/gnome-autoar-0.3.3.ebuild
  60. +1
    -1
      app-arch/lxqt-archiver/lxqt-archiver-0.4.0.ebuild
  61. +1
    -2
      app-arch/makeself/Manifest
  62. +0
    -123
      app-arch/makeself/files/makeself-2.2.0-help-header.patch
  63. +0
    -100
      app-arch/makeself/files/makeself-unpack
  64. +0
    -26
      app-arch/makeself/makeself-2.2.0-r2.ebuild
  65. +1
    -1
      app-arch/makeself/makeself-2.4.3.ebuild
  66. +1
    -1
      app-arch/makeself/makeself-2.4.5.ebuild
  67. +1
    -1
      app-arch/rpm/rpm-4.16.0.ebuild
  68. +1
    -1
      app-arch/rpm/rpm-4.16.1.3.ebuild
  69. +1
    -1
      app-arch/snappy/snappy-1.1.9.ebuild
  70. +1
    -1
      app-arch/unrar/unrar-6.0.7.ebuild
  71. +1
    -1
      app-arch/wimlib/wimlib-1.13.3.ebuild
  72. BIN
      app-backup/Manifest.gz
  73. +1
    -1
      app-backup/deja-dup/deja-dup-42.7.ebuild
  74. BIN
      app-crypt/Manifest.gz
  75. +1
    -0
      app-crypt/acme/Manifest
  76. +68
    -0
      app-crypt/acme/acme-1.17.0.ebuild
  77. +1
    -0
      app-crypt/certbot-apache/Manifest
  78. +30
    -0
      app-crypt/certbot-apache/certbot-apache-1.17.0.ebuild
  79. +1
    -0
      app-crypt/certbot-nginx/Manifest
  80. +32
    -0
      app-crypt/certbot-nginx/certbot-nginx-1.17.0.ebuild
  81. +1
    -0
      app-crypt/certbot/Manifest
  82. +36
    -0
      app-crypt/certbot/certbot-1.17.0.ebuild
  83. BIN
      app-dicts/Manifest.gz
  84. +1
    -0
      app-dicts/myspell-en/myspell-en-20210601-r2.ebuild
  85. BIN
      app-doc/Manifest.gz
  86. +1
    -1
      app-doc/eclass-manpages/Manifest
  87. +1
    -1
      app-doc/eclass-manpages/eclass-manpages-20210712.ebuild
  88. +2
    -2
      app-doc/eclass-manpages/eclass-manpages-99999999.ebuild
  89. BIN
      app-editors/Manifest.gz
  90. +447
    -0
      app-editors/emacs/emacs-27.2-r3.ebuild
  91. +4
    -3
      app-editors/emacs/emacs-27.2.9999.ebuild
  92. +15
    -6
      app-editors/emacs/emacs-28.0.9999.ebuild
  93. BIN
      app-emulation/Manifest.gz
  94. +0
    -92
      app-emulation/cloud-init/files/cloud-init-20.1-gentoo-support-upstream-templates.patch
  95. +1
    -0
      app-emulation/containerd/containerd-1.4.6.ebuild
  96. +1
    -0
      app-emulation/containerd/containerd-1.5.2.ebuild
  97. +10
    -4
      app-emulation/uade/metadata.xml
  98. +0
    -39
      app-emulation/uade/uade-2.13-r1.ebuild
  99. +52
    -0
      app-emulation/uade/uade-2.13-r2.ebuild
  100. +2
    -3
      app-emulation/wine-staging/wine-staging-6.12.ebuild

BIN
Manifest.files.gz View File


BIN
acct-group/Manifest.gz View File


+ 0
- 0
acct-group/defang/Manifest View File


+ 10
- 0
acct-group/defang/defang-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for mail-filter/mimedefang"

ACCT_GROUP_ID="181"

+ 12
- 0
acct-group/defang/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>rentorbuy@yahoo.com</email>
<name>Vieri Di Paola</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-group/ftpproxy/Manifest View File


+ 10
- 0
acct-group/ftpproxy/ftpproxy-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for net-ftp/frox"

ACCT_GROUP_ID="182"

+ 12
- 0
acct-group/ftpproxy/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>kabel@blackhole.sk</email>
<name>Marek Behun</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-group/ngrep/Manifest View File


+ 17
- 0
acct-group/ngrep/metadata.xml View File

@@ -0,0 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>jpr5+gentoo@darkridge.com</email>
<name>Jordan Ritter</name>
<description>Program author who would like to be notified of bugs</description>
</maintainer>
<maintainer type="project">
<email>netmon@gentoo.org</email>
<name>Gentoo network monitoring and analysis project</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 10
- 0
acct-group/ngrep/ngrep-0-r1.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for net-analyzer/ngrep"

ACCT_GROUP_ID="185"

+ 0
- 0
acct-group/postfwd/Manifest View File


+ 16
- 0
acct-group/postfwd/metadata.xml View File

@@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>c@roessner.co</email>
<name>Christian Roessner</name>
</maintainer>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
<name>Marc Schiffbauer</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 10
- 0
acct-group/postfwd/postfwd-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for mail-filter/postfwd"

ACCT_GROUP_ID="189"

+ 0
- 0
acct-group/rslsync/Manifest View File


+ 12
- 0
acct-group/rslsync/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 10
- 0
acct-group/rslsync/rslsync-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for net-p2p/resilio-sync"

ACCT_GROUP_ID="175"

+ 0
- 0
acct-group/samplicator/Manifest View File


+ 12
- 0
acct-group/samplicator/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 10
- 0
acct-group/samplicator/samplicator-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for net-misc/samplicator"

ACCT_GROUP_ID="179"

+ 0
- 0
acct-group/stg/Manifest View File


+ 12
- 0
acct-group/stg/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 10
- 0
acct-group/stg/stg-0.ebuild View File

@@ -0,0 +1,10 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-group

DESCRIPTION="A group for net-misc/stargazer"

ACCT_GROUP_ID="176"

BIN
acct-user/Manifest.gz View File


+ 0
- 0
acct-user/defang/Manifest View File


+ 13
- 0
acct-user/defang/defang-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for mail-filter/mimedefang"

ACCT_USER_GROUPS=( "defang" )
ACCT_USER_ID="181"

acct-user_add_deps

+ 12
- 0
acct-user/defang/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>rentorbuy@yahoo.com</email>
<name>Vieri Di Paola</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-user/ftpproxy/Manifest View File


+ 15
- 0
acct-user/ftpproxy/ftpproxy-0.ebuild View File

@@ -0,0 +1,15 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-ftp/frox"

ACCT_USER_GROUPS=( "ftpproxy" )
ACCT_USER_HOME="/var/spool/frox"
ACCT_USER_HOME_PERMS="700"
ACCT_USER_ID="182"

acct-user_add_deps

+ 12
- 0
acct-user/ftpproxy/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>kabel@blackhole.sk</email>
<name>Marek Behun</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 0
- 0
acct-user/ngrep/Manifest View File


+ 17
- 0
acct-user/ngrep/metadata.xml View File

@@ -0,0 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>jpr5+gentoo@darkridge.com</email>
<name>Jordan Ritter</name>
<description>Program author who would like to be notified of bugs</description>
</maintainer>
<maintainer type="project">
<email>netmon@gentoo.org</email>
<name>Gentoo network monitoring and analysis project</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 13
- 0
acct-user/ngrep/ngrep-0-r1.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-analyzer/ngrep"

ACCT_USER_GROUPS=( "ngrep" )
ACCT_USER_ID="185"

acct-user_add_deps

+ 0
- 0
acct-user/postfwd/Manifest View File


+ 16
- 0
acct-user/postfwd/metadata.xml View File

@@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>c@roessner.co</email>
<name>Christian Roessner</name>
</maintainer>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
<name>Marc Schiffbauer</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 13
- 0
acct-user/postfwd/postfwd-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for mail-filter/postfwd"

ACCT_USER_GROUPS=( "postfwd" )
ACCT_USER_ID="189"

acct-user_add_deps

+ 0
- 0
acct-user/rslsync/Manifest View File


+ 12
- 0
acct-user/rslsync/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 15
- 0
acct-user/rslsync/rslsync-0.ebuild View File

@@ -0,0 +1,15 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-p2p/resilio-sync"

ACCT_USER_GROUPS=( "rslsync" )
ACCT_USER_HOME="/var/lib/resilio-sync"
ACCT_USER_HOME_PERMS="0700"
ACCT_USER_ID="175"

acct-user_add_deps

+ 0
- 0
acct-user/samplicator/Manifest View File


+ 12
- 0
acct-user/samplicator/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 14
- 0
acct-user/samplicator/samplicator-0.ebuild View File

@@ -0,0 +1,14 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-misc/samplicator"

ACCT_USER_GROUPS=( "samplicator" )
ACCT_USER_HOME="/etc/samplicator"
ACCT_USER_ID="179"

acct-user_add_deps

+ 0
- 0
acct-user/stg/Manifest View File


+ 12
- 0
acct-user/stg/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>spiderx@spiderx.dp.ua</email>
<name>Vladimir Pavljuchenkov</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

+ 13
- 0
acct-user/stg/stg-0.ebuild View File

@@ -0,0 +1,13 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit acct-user

DESCRIPTION="A user for net-misc/stargazer"

ACCT_USER_GROUPS=( "stg" )
ACCT_USER_ID="176"

acct-user_add_deps

BIN
app-accessibility/Manifest.gz View File


+ 1
- 0
app-accessibility/at-spi2-core/Manifest View File

@@ -1,2 +1,3 @@
DIST at-spi2-core-2.40.1.tar.xz 197064 BLAKE2B dfa19413e6688678fcc0c0ed76d0fca0d5de5039c9b1e42dc10c9c387c0cbffb3c6a38570f9e74c343fa86310f2c3f6fcf0e311c57d11b5adeac5faf7bdf9630 SHA512 fcb73e78a85db9b982ae10d8c968c7732079832877fa0214c30a04b9e27910448c3f5456b8628ed4a3d4dbd59037c8c206916ad1462ca5c7a44409a702096b14
DIST at-spi2-core-2.40.2.tar.xz 197476 BLAKE2B a3b6f1edb7beace2a54cc651f8bf5d002009a3d2791306f2b0a33c351c68d04e0a1003ab11f215333d498c50d17139b978e7f232df802f6c620bbe31997a8e1c SHA512 854fbba39064ba4b1d9728fc4943e811f0a9557f1096f32d7a6486bcb6c73379ab84c5fb8ce5288bf4dab1d1cd3e0664c492977450d4da503ce4b08abfc75fd9
DIST at-spi2-core-2.40.3.tar.xz 197528 BLAKE2B bc248d57d51cea6ae6dd6c737d85f10599a9c177a3a59f95ffc8f96f74b7da057f75e2b961c281650795ba8d5387a9439b00a0f277731af3d490cc8f34c3ab1a SHA512 85adf3da0a369d7f3481646a495a9c4c3337da3ae6a20ce8c924f8621d3d6ed1d9461bfac0e821dfe86e4ad6b930e4fd65d24c26401cbea644ef4951e5dda5ce

+ 1
- 1
app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild View File

@@ -12,7 +12,7 @@ LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
REQUIRED_USE="gtk-doc? ( X )"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"

RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]


+ 55
- 0
app-accessibility/at-spi2-core/at-spi2-core-2.40.3.ebuild View File

@@ -0,0 +1,55 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit gnome.org meson-multilib systemd virtualx xdg

DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="https://wiki.gnome.org/Accessibility https://gitlab.gnome.org/GNOME/at-spi2-core"

LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
REQUIRED_USE="gtk-doc? ( X )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"

RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
>=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
X? (
x11-libs/libX11[${MULTILIB_USEDEP}]
x11-libs/libXtst[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
)
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
gtk-doc? (
>=dev-util/gtk-doc-1.25
app-text/docbook-xml-dtd:4.3
)
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"

PATCHES=(
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
"${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
)

multilib_src_configure() {
local emesonargs=(
-Dsystemd_user_dir="$(systemd_get_userunitdir)"
$(meson_native_use_bool gtk-doc docs)
-Dintrospection=$(multilib_native_usex introspection)
-Dx11=$(usex X)
)
meson_src_configure
}

multilib_src_test() {
virtx dbus-run-session meson test -C "${BUILD_DIR}"
}

BIN
app-admin/Manifest.gz View File


+ 1
- 1
app-admin/exo/Manifest View File

@@ -1 +1 @@
DIST exo-1.33.0.tar.gz 5227893 BLAKE2B 17272d6a614aa7b4441d3de73ffebda3244c0ce98e3d74e85c013c3410cf0d414cfcac958ba67eadebfbc84d6c3969bb8563f62a8a9531e6cdd09ac3dfa2526f SHA512 4c17cd8752862de70885a65d43d2ee69a6bed6e96d858423e308188a868b1732137c4bf811b1baae0e9b8a8425f8755d57a3711b333c50dd291fe1e22c19d91c
DIST exo-1.36.0.tar.gz 5233021 BLAKE2B b1d2fc014773c0a4939e114ea611e067ae9e646126f5ca4c37c78fb06e84df8c3c535570994808fb5aab2545ff3a40a2bbba12642bb5dc02abf6e6f88ba388af SHA512 9d5cb8bef91d78223b625a6b81721d172a9e613199c3f7a0bb225302a498b9625f6dc029b03ca6bbdae0afc59317f2f00637206507724c3852fe09b4095eb807

app-admin/exo/exo-1.33.0.ebuild → app-admin/exo/exo-1.36.0.ebuild View File


+ 1
- 1
app-admin/fam/fam-2.7.0_p17_p3.ebuild View File

@@ -18,7 +18,7 @@ S="${WORKDIR}"/${PN}-${FAM_PV}

LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="static-libs"

DEPEND="


+ 0
- 15
app-admin/fluentd/files/fluentd-1.2.6.initd View File

@@ -1,15 +0,0 @@
#!/sbin/openrc-run
# Copyright 2018 Sony Interactive Entertainment
# Distributed under the terms of the GNU General Public License v2

command=/usr/bin/fluentd
logfile=/var/log/fluentd/fluent.log
pidfile=/var/run/fluentd.pid
command_args="--daemon ${pidfile} --no-supervisor -o ${logfile} ${fluentd_opts}"
command_background=yes
command_user=fluentd:fluentd
retry="TERM/10/KILL/30"

start_pre() {
fluentd -q --dry-run
}

+ 1
- 1
app-admin/gam-server/gam-server-0.1.10-r2.ebuild View File

@@ -15,7 +15,7 @@ SRC_URI="${SRC_URI}

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x86-solaris"
IUSE="debug kernel_linux"

RDEPEND=">=dev-libs/glib-2:2


+ 2
- 2
app-admin/gamin/gamin-0.1.10-r1.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=5
@@ -11,7 +11,7 @@ SRC_URI=""

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""

RDEPEND="!app-admin/fam


+ 0
- 19
app-admin/puppet/files/puppet-fix-tests-6.10.1.patch View File

@@ -1,19 +0,0 @@
--- spec/unit/network/http/api/indirected_routes_spec.rb 2018-09-17 19:36:56.000000000 -0500
+++ spec/unit/network/http/api/indirected_routes_spec.rb 2018-09-19 10:52:35.841614932 -0500
@@ -158,16 +158,6 @@
handler.uri2indirection("GET", uri_escaped, params)
end
- it "when the environment is unknown should remove :environment from params passed to check_authorization and therefore fail" do
- expect(handler).to receive(:check_authorization).with(anything,
- anything,
- excluding(:environment))
- expect { handler.uri2indirection("GET",
- "#{master_url_prefix}/node/bar",
- {:environment => 'bogus'})
- }.to raise_error(not_found_error)
- end
-
it "should not URI unescape the indirection key as passed through to a call to check_authorization" do
expect(handler).to receive(:check_authorization).with(anything, anything, hash_including(environment: be_a(Puppet::Node::Environment).and(have_attributes(name: :env))))

BIN
app-arch/Manifest.gz View File


+ 1
- 1
app-arch/gnome-autoar/gnome-autoar-0.3.3.ebuild View File

@@ -14,7 +14,7 @@ SLOT="0"
IUSE="gtk +introspection vala"
REQUIRED_USE="vala? ( introspection )"

KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"

RDEPEND="
>=app-arch/libarchive-3.4.0


+ 1
- 1
app-arch/lxqt-archiver/lxqt-archiver-0.4.0.ebuild View File

@@ -13,7 +13,7 @@ if [[ ${PV} == *9999* ]]; then
EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
else
SRC_URI="https://github.com/lxqt/${PN}/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="amd64 ~x86"
KEYWORDS="amd64 x86"
fi

LICENSE="GPL-2 GPL-2+"


+ 1
- 2
app-arch/makeself/Manifest View File

@@ -1,3 +1,2 @@
DIST makeself-2.4.3.tar.gz 32613 BLAKE2B 2295b6d47a8105f2b495260abb0c9ae85875c821d0291a19b5af894c1cef669f338c4e10de8128fe38008e7e08079d1f29949884f202cab680c7fd62e2f00dd9 SHA512 d404c7920c7f69ae29c7168bcf76806b6e2aae2e8916bb7feed998d031ce8b2cd205b83ad960a90b01189c97f9242eb3ef574194ba3ee51c605fe99dafbd6c13
DIST makeself-2.4.4.tar.gz 38889 BLAKE2B eac74fa28ac39cbc6b18d11671bfa32d6c0b04b55b3603c6c928483dd64af38d416936ef242f55aa4840affd4bf7fb91c2987f87afab093816331e50f16379ab SHA512 3d4d03458f7f11a8df46340d1b489ca60d413d5ed857cc67bb8ef15335ce2848e4675e080791c26fdf29423f813d468b4b797438fe0876dad54e85c6346b9b8b
DIST release-2.2.0.tar.gz 21640 BLAKE2B 32b06157829864918d225a136043a5c9b7c6c543351e981c0e3cdce84cbbe4c52f00870bb04d29bfd79e715c1c708b51cc9958d495a9633afb9a8d342601c20d SHA512 11cd536baed2d56405103f18a8318a202092755a74baf10730aa58dc57032e327697b1c7f76bf9bf438927093ba9ac467ffa0c4564c7f6b1d3b2b3936f34fa73
DIST makeself-2.4.5.tar.gz 39012 BLAKE2B f79cf1c087e89c4fd09f328fb795a3f8a78ee38060dbbd1590e3dcdf22a346b0c12bf6837d1636efadb2a66f6a762308de7ee9dd2fc62a7c88d417d257c5f0f6 SHA512 1dae74586f6bd5afb526801b7ffa7fc7962ff74b0f190cdd51da93c21421864b72f5fe18090cb2ff6ad27f0907fbf3aeb5545f3f70e33dbc9e505a78505f5f90

+ 0
- 123
app-arch/makeself/files/makeself-2.2.0-help-header.patch View File

@@ -1,124 +0,0 @@
From c9f605cb4a3903985f2c6f816c30c1edf728c1b5 Mon Sep 17 00:00:00 2001
From: Jon Salz <jsalz@google.com>
Date: Mon, 27 Jan 2014 16:04:33 +0800
Subject: [PATCH] Add --help-header option to prepend a string to the archive's
--help.

---
makeself-header.sh | 3 ++-
makeself.sh | 71 ++++++++++++++++++++++++++++++------------------------
2 files changed, 41 insertions(+), 33 deletions(-)

diff --git a/makeself-header.sh b/makeself-header.sh
index e3f6c11..f97758c 100755
--- a/makeself-header.sh
+++ b/makeself-header.sh
@@ -13,6 +13,7 @@ label="$LABEL"
script="$SCRIPT"
scriptargs="$SCRIPTARGS"
licensetxt="$LICENSE"
+helpheader='$HELPHEADER'
targetdir="$archdirname"
filesizes="$filesizes"
keep="$KEEP"
@@ -119,7 +120,7 @@ MS_dd_Progress()
MS_Help()
{
cat << EOH >&2
-Makeself version $MS_VERSION
+\${helpheader}Makeself version $MS_VERSION
1) Getting help or info about \$0 :
\$0 --help Print this message
\$0 --info Print embedded info : title, default target directory, embedded script ...
diff --git a/makeself.sh b/makeself.sh
index 361d710..cb2d6f2 100755
--- a/makeself.sh
+++ b/makeself.sh
@@ -88,38 +88,39 @@ MS_Usage()
{
echo "Usage: $0 [params] archive_dir file_name label startup_script [args]"
echo "params can be one or more of the following :"
- echo " --version | -v : Print out Makeself version number and exit"
- echo " --help | -h : Print out this help message"
- echo " --quiet | -q : Do not print any messages other than errors."
- echo " --gzip : Compress using gzip (default if detected)"
- echo " --bzip2 : Compress using bzip2 instead of gzip"
- echo " --pbzip2 : Compress using pbzip2 instead of gzip"
- echo " --xz : Compress using xz instead of gzip"
- echo " --compress : Compress using the UNIX 'compress' command"
- echo " --complevel lvl : Compression level for gzip xz bzip2 and pbzip2 (default 9)"
- echo " --base64 : Instead of compressing, encode the data using base64"
- echo " --nocomp : Do not compress the data"
- echo " --notemp : The archive will create archive_dir in the"
- echo " current directory and uncompress in ./archive_dir"
- echo " --copy : Upon extraction, the archive will first copy itself to"
- echo " a temporary directory"
- echo " --append : Append more files to an existing Makeself archive"
- echo " The label and startup scripts will then be ignored"
- echo " --target dir : Extract directly to a target directory"
- echo " directory path can be either absolute or relative"
- echo " --current : Files will be extracted to the current directory"
- echo " Both --current and --target imply --notemp"
- echo " --tar-extra opt : Append more options to the tar command line"
- echo " --nomd5 : Don't calculate an MD5 for archive"
- echo " --nocrc : Don't calculate a CRC for archive"
- echo " --header file : Specify location of the header script"
- echo " --follow : Follow the symlinks in the archive"
- echo " --noprogress : Do not show the progress during the decompression"
- echo " --nox11 : Disable automatic spawn of a xterm"
- echo " --nowait : Do not wait for user input after executing embedded"
- echo " program from an xterm"
- echo " --lsm file : LSM file describing the package"
- echo " --license file : Append a license file"
+ echo " --version | -v : Print out Makeself version number and exit"
+ echo " --help | -h : Print out this help message"
+ echo " --quiet | -q : Do not print any messages other than errors."
+ echo " --gzip : Compress using gzip (default if detected)"
+ echo " --bzip2 : Compress using bzip2 instead of gzip"
+ echo " --pbzip2 : Compress using pbzip2 instead of gzip"
+ echo " --xz : Compress using xz instead of gzip"
+ echo " --compress : Compress using the UNIX 'compress' command"
+ echo " --complevel lvl : Compression level for gzip xz bzip2 and pbzip2 (default 9)"
+ echo " --base64 : Instead of compressing, encode the data using base64"
+ echo " --nocomp : Do not compress the data"
+ echo " --notemp : The archive will create archive_dir in the"
+ echo " current directory and uncompress in ./archive_dir"
+ echo " --copy : Upon extraction, the archive will first copy itself to"
+ echo " a temporary directory"
+ echo " --append : Append more files to an existing Makeself archive"
+ echo " The label and startup scripts will then be ignored"
+ echo " --target dir : Extract directly to a target directory"
+ echo " directory path can be either absolute or relative"
+ echo " --current : Files will be extracted to the current directory"
+ echo " Both --current and --target imply --notemp"
+ echo " --tar-extra opt : Append more options to the tar command line"
+ echo " --nomd5 : Don't calculate an MD5 for archive"
+ echo " --nocrc : Don't calculate a CRC for archive"
+ echo " --header file : Specify location of the header script"
+ echo " --follow : Follow the symlinks in the archive"
+ echo " --noprogress : Do not show the progress during the decompression"
+ echo " --nox11 : Disable automatic spawn of a xterm"
+ echo " --nowait : Do not wait for user input after executing embedded"
+ echo " program from an xterm"
+ echo " --lsm file : LSM file describing the package"
+ echo " --license file : Append a license file"
+ echo " --help-header file : Add a header to the archive's --help output"
echo
echo "Do not forget to give a fully qualified startup script name"
echo "(i.e. with a ./ prefix if inside the archive)."
@@ -254,6 +255,12 @@ do
LSM_CMD="cat \"$2\" >> \"\$archname\""
if ! shift 2; then MS_Help; exit 1; fi
;;
+ --help-header)
+ HELPHEADER=`sed -e "s/'/'\\\\\''/g" $2`
+ if ! shift 2; then MS_Help; exit 1; fi
+ [ -n "$HELPHEADER" ] && HELPHEADER="$HELPHEADER
+"
+ ;;
-q | --quiet)
QUIET=y
shift
1.8.5.5


+ 0
- 100
app-arch/makeself/files/makeself-unpack View File

@@ -1,100 +0,0 @@
#!/bin/bash

# Glue to keep unpack_makeself() unchanged
source /lib/gentoo/functions.sh
find_unpackable_file() { echo "$@"; }
debug-print() { :; }
emktemp() { mktemp "$@"; }
die() { eerror "$*"; exit 1; }
assert() { _pipestatus="${PIPESTATUS[*]}"; [[ "${_pipestatus// /}" -eq 0 ]] || die; }

# Straight copied from unpacker.eclass ... should be kept in sync

unpack_banner() {
echo ">>> Unpacking ${1##*/} to ${PWD}"
}

unpack_makeself() {
local src_input=${1:-${A}}
local src=$(find_unpackable_file "${src_input}")
local skip=$2
local exe=$3

[[ -z ${src} ]] && die "Could not locate source for '${src_input}'"

unpack_banner "${src}"

if [[ -z ${skip} ]] ; then
local ver=$(grep -m1 -a '#.*Makeself' "${src}" | awk '{print $NF}')
local skip=0
exe=tail
case ${ver} in
1.5.*|1.6.0-nv*) # tested 1.5.{3,4,5} ... guessing 1.5.x series is same
skip=$(grep -a ^skip= "${src}" | cut -d= -f2)
;;
2.0|2.0.1)
skip=$(grep -a ^$'\t'tail "${src}" | awk '{print $2}' | cut -b2-)
;;
2.1.1)
skip=$(grep -a ^offset= "${src}" | awk '{print $2}' | cut -b2-)
(( skip++ ))
;;
2.1.2)
skip=$(grep -a ^offset= "${src}" | awk '{print $3}' | head -n 1)
(( skip++ ))
;;
2.1.3)
skip=`grep -a ^offset= "${src}" | awk '{print $3}'`
(( skip++ ))
;;
2.1.4|2.1.5|2.1.6|2.2.0)
skip=$(grep -a offset=.*head.*wc "${src}" | awk '{print $3}' | head -n 1)
skip=$(head -n ${skip} "${src}" | wc -c)
exe="dd"
;;
*)
eerror "I'm sorry, but I was unable to support the Makeself file."
eerror "The version I detected was '${ver}'."
eerror "Please file a bug about the file ${src##*/} at"
eerror "http://bugs.gentoo.org/ so that support can be added."
die "makeself version '${ver}' not supported"
;;
esac
debug-print "Detected Makeself version ${ver} ... using ${skip} as offset"
fi
case ${exe} in
tail) exe="tail -n +${skip} '${src}'";;
dd) exe="dd ibs=${skip} skip=1 if='${src}'";;
*) die "makeself cant handle exe '${exe}'"
esac

# lets grab the first few bytes of the file to figure out what kind of archive it is
local filetype tmpfile=$(emktemp)
eval ${exe} 2>/dev/null | head -c 512 > "${tmpfile}"
filetype=$(file -b "${tmpfile}") || die
case ${filetype} in
*tar\ archive*)
eval ${exe} | tar --no-same-owner -xf -
;;
bzip2*)
eval ${exe} | bzip2 -dc | tar --no-same-owner -xf -
;;
gzip*)
eval ${exe} | tar --no-same-owner -xzf -
;;
compress*)
eval ${exe} | gunzip | tar --no-same-owner -xf -
;;
XZ*)
eval ${exe} | unxz | tar --no-same-owner -xf -
;;
*)
eerror "Unknown filetype \"${filetype}\" ?"
false
;;
esac
assert "failure unpacking (${filetype}) makeself ${src##*/} ('${ver}' +${skip})"
rm "${tmpfile}"
}

for x; do unpack_makeself "$x" ; done

+ 0
- 26
app-arch/makeself/makeself-2.2.0-r2.ebuild View File

@@ -1,26 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit unpacker

DESCRIPTION="Shell script that generates a self-extractible tar.gz"
HOMEPAGE="http://www.megastep.org/makeself/"
SRC_URI="https://github.com/megastep/makeself/archive/release-${PV}.tar.gz"
S="${WORKDIR}/${PN}-release-${PV}"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~hppa ppc x86 ~amd64-linux ~x86-linux"

RDEPEND="sys-apps/gentoo-functions"

PATCHES=( "${FILESDIR}/${P}-help-header.patch" )

src_install() {
dobin makeself-header.sh makeself.sh "${FILESDIR}"/makeself-unpack
dosym makeself.sh /usr/bin/makeself
doman makeself.1
dodoc README.md makeself.lsm
}

+ 1
- 1
app-arch/makeself/makeself-2.4.3.ebuild View File

@@ -6,7 +6,7 @@ EAPI=7
inherit optfeature

DESCRIPTION="Shell script that generates a self-extractible tar.gz"
HOMEPAGE="http://www.megastep.org/makeself/"
HOMEPAGE="https://makeself.io/"
SRC_URI="https://github.com/megastep/makeself/archive/refs/tags/release-${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-release-${PV}"



app-arch/makeself/makeself-2.4.4.ebuild → app-arch/makeself/makeself-2.4.5.ebuild View File

@@ -6,7 +6,7 @@ EAPI="7"
inherit optfeature

DESCRIPTION="Shell script that generates a self-extractible tar.gz"
HOMEPAGE="http://www.megastep.org/makeself/"
HOMEPAGE="https://makeself.io/"
SRC_URI="https://github.com/megastep/makeself/archive/refs/tags/release-${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2+"

+ 1
- 1
app-arch/rpm/rpm-4.16.0.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

LUA_COMPAT=( lua5-2 )
LUA_COMPAT=( lua5-{2..4} )
PYTHON_COMPAT=( python3_{7,8,9} )

inherit autotools flag-o-matic lua-single perl-module python-single-r1 toolchain-funcs


+ 1
- 1
app-arch/rpm/rpm-4.16.1.3.ebuild View File

@@ -3,7 +3,7 @@

EAPI=7

LUA_COMPAT=( lua5-2 )
LUA_COMPAT=( lua5-{2..4} )
PYTHON_COMPAT=( python3_{7,8,9} )

inherit autotools flag-o-matic lua-single perl-module python-single-r1 toolchain-funcs


+ 1
- 1
app-arch/snappy/snappy-1.1.9.ebuild View File

@@ -12,7 +12,7 @@ SRC_URI="https://github.com/google/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV%%.*}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"



+ 1
- 1
app-arch/unrar/unrar-6.0.7.ebuild View File

@@ -14,7 +14,7 @@ SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="unRAR"
# subslot = soname version
SLOT="0/6"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"

RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"



+ 1
- 1
app-arch/wimlib/wimlib-1.13.3.ebuild View File

@@ -11,7 +11,7 @@ else
MY_PV="${PV/_/-}"
MY_PV="${MY_PV^^}"
SRC_URI="https://wimlib.net/downloads/${PN}-${MY_PV}.tar.gz"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
fi

DESCRIPTION="The open source Windows Imaging (WIM) library"


BIN
app-backup/Manifest.gz View File


+ 1
- 1
app-backup/deja-dup/deja-dup-42.7.ebuild View File

@@ -30,7 +30,7 @@ DEPEND="
>=dev-libs/glib-2.64:2[dbus]
>=dev-libs/json-glib-1.2
dev-libs/libgpg-error
>=gui-libs/libhandy-1.0
>=gui-libs/libhandy-1.0:1
>=net-libs/libsoup-2.48
>=x11-libs/gtk+-3.22:3
>=x11-libs/libnotify-0.7


BIN
app-crypt/Manifest.gz View File


+ 1
- 0
app-crypt/acme/Manifest View File

@@ -1 +1,2 @@
DIST certbot-1.16.0.tar.gz 1384177 BLAKE2B 4e46e7d7b9db2f6ef19fab60c2d904f84b502d2911ed496967bbe272db5352c1e9bdb65b8f45358f222214bce4721ceecc12c018b875148bc897f83c5eb63933 SHA512 c2a0c4ea52ab241e387d686a9e5ed67aa5e8b4b7d34ad8996e34562e036c25ab8b397bf482a856758ca787b97bbd78c890189250c0c3d948f03fbf91aa25ece0
DIST certbot-1.17.0.tar.gz 1386471 BLAKE2B 26cf23c481cc67e1fa0f698dee83dd42b1d382814f10bdb4d2a459f1274f3d661d2a58815c30110701d46362c3fbaee9f57089a7eda1221c9b9dadb2c48dc79d SHA512 104deb8e6e804a3a3f50c730f00307aa39d9d42756f24be009fedc27c889c1575b456455ee11441e341025db6f528359e927a347554ebd57b64c39e789576eda

+ 68
- 0
app-crypt/acme/acme-1.17.0.ebuild View File

@@ -0,0 +1,68 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend

if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
S=${WORKDIR}/certbot-${PV}/acme
fi

inherit distutils-r1

DESCRIPTION="An implementation of the ACME protocol"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"

LICENSE="Apache-2.0"
SLOT="0"
IUSE="doc test"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-python/cryptography-2.1.4[${PYTHON_USEDEP}]
>=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
"
DEPEND="
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"

src_compile() {
python_foreach_impl run_in_build_dir default
distutils-r1_src_compile
if use doc ; then
cd docs || die
sphinx-build -b html -d _build/doctrees . _build/html
fi
}

python_test() {
nosetests -w ${PN} || die
}

python_install_all() {
use doc && local HTML_DOCS=( docs/_build/html/. )

distutils-r1_python_install_all
}

+ 1
- 0
app-crypt/certbot-apache/Manifest View File

@@ -1 +1,2 @@
DIST certbot-1.16.0.tar.gz 1384177 BLAKE2B 4e46e7d7b9db2f6ef19fab60c2d904f84b502d2911ed496967bbe272db5352c1e9bdb65b8f45358f222214bce4721ceecc12c018b875148bc897f83c5eb63933 SHA512 c2a0c4ea52ab241e387d686a9e5ed67aa5e8b4b7d34ad8996e34562e036c25ab8b397bf482a856758ca787b97bbd78c890189250c0c3d948f03fbf91aa25ece0
DIST certbot-1.17.0.tar.gz 1386471 BLAKE2B 26cf23c481cc67e1fa0f698dee83dd42b1d382814f10bdb4d2a459f1274f3d661d2a58815c30110701d46362c3fbaee9f57089a7eda1221c9b9dadb2c48dc79d SHA512 104deb8e6e804a3a3f50c730f00307aa39d9d42756f24be009fedc27c889c1575b456455ee11441e341025db6f528359e927a347554ebd57b64c39e789576eda

+ 30
- 0
app-crypt/certbot-apache/certbot-apache-1.17.0.ebuild View File

@@ -0,0 +1,30 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend

if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi

inherit distutils-r1

DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"

LICENSE="Apache-2.0"
SLOT="0"

RDEPEND=">=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
dev-python/python-augeas[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"

+ 1
- 0
app-crypt/certbot-nginx/Manifest View File

@@ -1 +1,2 @@
DIST certbot-1.16.0.tar.gz 1384177 BLAKE2B 4e46e7d7b9db2f6ef19fab60c2d904f84b502d2911ed496967bbe272db5352c1e9bdb65b8f45358f222214bce4721ceecc12c018b875148bc897f83c5eb63933 SHA512 c2a0c4ea52ab241e387d686a9e5ed67aa5e8b4b7d34ad8996e34562e036c25ab8b397bf482a856758ca787b97bbd78c890189250c0c3d948f03fbf91aa25ece0
DIST certbot-1.17.0.tar.gz 1386471 BLAKE2B 26cf23c481cc67e1fa0f698dee83dd42b1d382814f10bdb4d2a459f1274f3d661d2a58815c30110701d46362c3fbaee9f57089a7eda1221c9b9dadb2c48dc79d SHA512 104deb8e6e804a3a3f50c730f00307aa39d9d42756f24be009fedc27c889c1575b456455ee11441e341025db6f528359e927a347554ebd57b64c39e789576eda

+ 32
- 0
app-crypt/certbot-nginx/certbot-nginx-1.17.0.ebuild View File

@@ -0,0 +1,32 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend

if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi

inherit distutils-r1

DESCRIPTION="Nginx plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"

LICENSE="Apache-2.0"
SLOT="0"
IUSE=""

RDEPEND="
>=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.0[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"

+ 1
- 0
app-crypt/certbot/Manifest View File

@@ -1 +1,2 @@
DIST certbot-1.16.0.tar.gz 1384177 BLAKE2B 4e46e7d7b9db2f6ef19fab60c2d904f84b502d2911ed496967bbe272db5352c1e9bdb65b8f45358f222214bce4721ceecc12c018b875148bc897f83c5eb63933 SHA512 c2a0c4ea52ab241e387d686a9e5ed67aa5e8b4b7d34ad8996e34562e036c25ab8b397bf482a856758ca787b97bbd78c890189250c0c3d948f03fbf91aa25ece0
DIST certbot-1.17.0.tar.gz 1386471 BLAKE2B 26cf23c481cc67e1fa0f698dee83dd42b1d382814f10bdb4d2a459f1274f3d661d2a58815c30110701d46362c3fbaee9f57089a7eda1221c9b9dadb2c48dc79d SHA512 104deb8e6e804a3a3f50c730f00307aa39d9d42756f24be009fedc27c889c1575b456455ee11441e341025db6f528359e927a347554ebd57b64c39e789576eda

+ 36
- 0
app-crypt/certbot/certbot-1.17.0.ebuild View File

@@ -0,0 +1,36 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend

if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
S=${WORKDIR}/${P}/${PN}

inherit distutils-r1

DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"

LICENSE="Apache-2.0"
SLOT="0"

RDEPEND="
>=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.8[${PYTHON_USEDEP}]
>=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-2.4[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"

BIN
app-dicts/Manifest.gz View File


app-dicts/myspell-en/myspell-en-20210601-r1.ebuild → app-dicts/myspell-en/myspell-en-20210601-r2.ebuild View File

@@ -26,6 +26,7 @@ src_prepare() {
"th_en_US_v2.dat"
"th_en_US_v2.idx"
)
MYSPELL_HYPH+=( "hyph_en_US.dic" )
fi

MYSPELL_DICT=( )

BIN
app-doc/Manifest.gz View File


+ 1
- 1
app-doc/eclass-manpages/Manifest View File

@@ -1,2 +1,2 @@
DIST eclass-manpages-20200913.tar.xz 411832 BLAKE2B b33b126ae2fb18755f193ccfbbe354c2015a5a0e16b7899ea2e8d547333bace6f0f70f6cf3f2793efdf53625f8ee6e5868fb60d56b57b82c61c26be6a1d8790a SHA512 8acd35b08ce6835de2c1bb79c4ae0746e9d9057f9ef897e5bfc885be1e55e7885c1e4172d0673bf10e0ac24dc705c7926a78bb2237319f059d65622dce4c08ec
DIST eclass-manpages-20210104.tar.xz 413740 BLAKE2B af65e53d54af6036a1feb4eda09a2b06e4f94221b98dd333008a74059781381ecd0d66fb71ca6583278684c8faa9efb330ed939c9f49d8052de15194fa321dae SHA512 cf19f521484474c7c7660f2f056d24d5e6c0e29ccf177cd7e1aaa4e1b55a14c8eabd8ec14cc3c6957706370f5f046ffe9aad59e3b9309da51e17c200d724d539
DIST eclass-manpages-20210712.tar.xz 410588 BLAKE2B 776da6b26db95791401d562d3d550e1ab71dc19f54124fa37e78ab2595835fb05e7382b98007e58131698710b978dd87cbc10df1ea98c6ef01ec866418d6f9a6 SHA512 fb2bdc790d96f0662d84eddd01f291b4a3cac638c1e3df8975755e81d2d64dda14b0f60a77387da8544672080711d5047dda777d27a8cf2ded2634c47ecfee4b

app-doc/eclass-manpages/eclass-manpages-20200913.ebuild → app-doc/eclass-manpages/eclass-manpages-20210712.ebuild View File

@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
EAPI=8

DESCRIPTION="Collection of Gentoo eclass manpages"
HOMEPAGE="https://github.com/mgorny/eclass-to-manpage"

+ 2
- 2
app-doc/eclass-manpages/eclass-manpages-99999999.ebuild View File

@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
EAPI=8

inherit git-r3



BIN
app-editors/Manifest.gz View File


+ 447
- 0
app-editors/emacs/emacs-27.2-r3.ebuild View File

@@ -0,0 +1,447 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit autotools elisp-common flag-o-matic readme.gentoo-r1 toolchain-funcs

if [[ ${PV##*.} = 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs.git"
EGIT_BRANCH="emacs-27"
EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
S="${EGIT_CHECKOUT_DIR}"
SLOT="${PV%%.*}-vcs"
else
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
# operations later on
FULL_VERSION="${PV%%_*}"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
S="${WORKDIR}/emacs-${FULL_VERSION}"
# PV can be in any of the following formats:
# 27.1 released version (slot 27)
# 27.1_rc1 upstream release candidate (27)
# 27.0.9999 live ebuild (slot 27-vcs)
# 27.0.90 upstream prerelease snapshot (27-vcs)
# 27.0.50_pre20191223 snapshot by Gentoo developer (27-vcs)
if [[ ${PV} == *_pre* ]]; then
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
S="${WORKDIR}/emacs"
elif [[ ${PV//[0-9]} != "." ]]; then
SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
fi
# Patchset from proj/emacs-patches.git
SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${P}-patches-2.tar.xz"
PATCHES=("${WORKDIR}/patch")
SLOT="${PV%%.*}"
[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
fi

DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
HOMEPAGE="https://www.gnu.org/software/emacs/"

LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif +gmp gpm gsettings gtk gui gzip-el harfbuzz imagemagick +inotify jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
RESTRICT="test"

RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
sys-libs/ncurses:0=
acl? ( virtual/acl )
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
games? ( acct-group/gamestat )
gmp? ( dev-libs/gmp:0= )
gpm? ( sys-libs/gpm )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
json? ( dev-libs/jansson )
kerberos? ( virtual/krb5 )
lcms? ( media-libs/lcms:2 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
mailutils? ( net-mail/mailutils[clients] )
!mailutils? ( acct-group/mail net-libs/liblockfile )
selinux? ( sys-libs/libselinux )
ssl? ( net-libs/gnutls:0= )
systemd? ( sys-apps/systemd )
zlib? ( sys-libs/zlib )
gui? ( !aqua? (
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libxcb
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib:0= )
jpeg? ( virtual/jpeg:0= )
png? ( >=media-libs/libpng-1.4:0= )
svg? ( >=gnome-base/librsvg-2.0 )
tiff? ( media-libs/tiff:0 )
xpm? ( x11-libs/libXpm )
imagemagick? ( >=media-gfx/imagemagick-6.6.2:0= )
xft? (
media-libs/fontconfig
media-libs/freetype
x11-libs/libXft
x11-libs/libXrender
cairo? ( >=x11-libs/cairo-1.12.18 )
harfbuzz? ( media-libs/harfbuzz:0= )
m17n-lib? (
>=dev-libs/libotf-0.9.4
>=dev-libs/m17n-lib-1.5.1
)
)
gtk? (
x11-libs/gtk+:3
xwidgets? (
net-libs/webkit-gtk:4=
x11-libs/libXcomposite
)
)
!gtk? (
motif? (
>=x11-libs/motif-2.3:0
x11-libs/libXpm
x11-libs/libXmu
x11-libs/libXt
)
!motif? (
Xaw3d? (
x11-libs/libXaw3d
x11-libs/libXmu
x11-libs/libXt
)
!Xaw3d? ( athena? (
x11-libs/libXaw
x11-libs/libXmu
x11-libs/libXt
) )
)
)
) )"

DEPEND="${RDEPEND}
gui? ( !aqua? ( x11-base/xorg-proto ) )"

BDEPEND="sys-apps/texinfo
virtual/pkgconfig
gzip-el? ( app-arch/gzip )"

RDEPEND="${RDEPEND}
!app-editors/emacs-vcs:27
app-eselect/eselect-emacs"

IDEPEND="app-eselect/eselect-emacs"

EMACS_SUFFIX="emacs-${SLOT}"
SITEFILE="20${EMACS_SUFFIX}-gentoo.el"

src_prepare() {
if [[ ${PV##*.} = 9999 ]]; then
FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[ \t]*\([^ \t,)]*\).*/\1/p' \
configure.ac)
[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
einfo "Emacs branch: ${EGIT_BRANCH}"
einfo "Commit: ${EGIT_VERSION}"
einfo "Emacs version number: ${FULL_VERSION}"
[[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
|| die "Upstream version number changed to ${FULL_VERSION}"
fi

default

# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

#AT_M4DIR=m4 eautoreconf
}

src_configure() {
strip-flags
filter-flags -pie #526948

if use ia64; then
replace-flags "-O[2-9]" -O1 #325373
else
replace-flags "-O[3-9]" -O2
fi

local myconf

if use alsa; then
use sound || ewarn \
"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
myconf+=" --with-sound=alsa"
else
myconf+=" --with-sound=$(usex sound oss)"
fi

if ! use gui; then
einfo "Configuring to build without window system support"
myconf+=" --without-x --without-ns"
elif use aqua; then
einfo "Configuring to build with Nextstep (Macintosh Cocoa) support"
myconf+=" --with-ns --disable-ns-self-contained"
myconf+=" --without-x"
else
myconf+=" --with-x --without-ns"
myconf+=" $(use_with gconf)"
myconf+=" $(use_with gsettings)"
myconf+=" $(use_with toolkit-scroll-bars)"
myconf+=" $(use_with gif)"
myconf+=" $(use_with jpeg)"
myconf+=" $(use_with png)"
myconf+=" $(use_with svg rsvg)"
myconf+=" $(use_with tiff)"
myconf+=" $(use_with xpm)"
myconf+=" $(use_with imagemagick)"

if use xft; then
myconf+=" --with-xft"
myconf+=" $(use_with cairo)"
myconf+=" $(use_with harfbuzz)"
myconf+=" $(use_with m17n-lib libotf)"
myconf+=" $(use_with m17n-lib m17n-flt)"
else
myconf+=" --without-xft"
myconf+=" --without-cairo"
myconf+=" --without-libotf --without-m17n-flt"
use cairo && ewarn \
"USE flag \"cairo\" has no effect if \"xft\" is not set."
use m17n-lib && ewarn \
"USE flag \"m17n-lib\" has no effect if \"xft\" is not set."
fi

local f line
if use gtk; then
einfo "Configuring to build with GIMP Toolkit (GTK+)"
while read line; do ewarn "${line}"; done <<-EOF
Your version of GTK+ will have problems with closing open
displays. This is no problem if you just use one display, but
if you use more than one and close one of them Emacs may crash.
See <https://gitlab.gnome.org/GNOME/gtk/-/issues/221> and
<https://gitlab.gnome.org/GNOME/gtk/-/issues/2315>.
If you intend to use more than one display, then it is strongly
recommended that you compile Emacs with the Athena/Lucid or the
Motif toolkit instead.
EOF
myconf+=" --with-x-toolkit=gtk3 $(use_with xwidgets)"
for f in motif Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"gtk\" is set."
done
elif use motif; then
einfo "Configuring to build with Motif toolkit"
myconf+=" --with-x-toolkit=motif"
for f in Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"motif\" is set."
done
elif use athena || use Xaw3d; then
einfo "Configuring to build with Athena/Lucid toolkit"
myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
else
einfo "Configuring to build with no toolkit"
myconf+=" --with-x-toolkit=no"
fi
! use gtk && use xwidgets && ewarn \
"USE flag \"xwidgets\" has no effect if \"gtk\" is not set."
fi

if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make tools
mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
myconf+=" --with-dumping=none"
else
myconf+=" --with-dumping=pdumper"
fi

econf \
--program-suffix="-${EMACS_SUFFIX}" \
--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--without-compress-install \
--without-hesiod \
--without-pop \
--with-file-notification=$(usev inotify || usev gfile || echo no) \
--with-pdumper \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with games gameuser ":gamestat") \
$(use_with gmp libgmp) \
$(use_with gpm) \
$(use_with json) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with lcms lcms2) \
$(use_with libxml2 xml2) \
$(use_with mailutils) \
$(use_with selinux) \
$(use_with ssl gnutls) \
$(use_with systemd libsystemd) \
$(use_with threads) \
$(use_with wide-int) \
$(use_with zlib) \
${myconf}
}

src_compile() {
if tc-is-cross-compiler; then
# Build native tools for compiling lisp etc.
emake -C "${S}-build" src
emake lib # Cross-compile dependencies first for timestamps
# Save native build tools in the cross-directory
cp "${S}-build"/lib-src/make-{docfile,fingerprint} lib-src || die
# Specify the native Emacs to compile lisp
emake -C lisp all EMACS="${S}-build/src/emacs"
fi

emake
}

src_install() {
emake DESTDIR="${D}" NO_BIN_LINK=t BLESSMAIL_TARGET= install

mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.appdata.xml || die

# move info dir to avoid collisions with the dir file generated by portage
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} || die
touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig

# movemail must be setgid mail
if ! use mailutils; then
fowners root:mail /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
fperms 2751 /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
fi

# avoid collision between slots, see bug #169033 e.g.
rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el || die
rm -rf "${ED}"/usr/share/{applications,icons} || die
rm -rf "${ED}/usr/$(get_libdir)" || die
rm -rf "${ED}"/var || die

# remove unused <version>/site-lisp dir
rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp || die

# remove COPYING file (except for etc/COPYING used by describe-copying)
rm "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp/COPYING || die

if use systemd; then
insinto /usr/lib/systemd/user
sed -e "/^##/d" \
-e "/^ExecStart/s,emacs,${EPREFIX}/usr/bin/${EMACS_SUFFIX}," \
-e "/^ExecStop/s,emacsclient,${EPREFIX}/usr/bin/&-${EMACS_SUFFIX}," \
etc/emacs.service | newins - ${EMACS_SUFFIX}.service
assert
fi

if use gzip-el; then
# compress .el files when a corresponding .elc exists
find "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp -type f \
-name "*.elc" -print | sed 's/\.elc$/.el/' | xargs gzip -9n
assert "gzip .el failed"
fi

local cdir
if use source; then
cdir="/usr/share/emacs/${FULL_VERSION}/src"
insinto "${cdir}"
# This is not meant to install all the source -- just the
# C source you might find via find-function
doins src/*.{c,h,m}
elif has installsources ${FEATURES}; then
cdir="/usr/src/debug/${CATEGORY}/${PF}/${S#"${WORKDIR}/"}/src"
fi

sed -e "${cdir:+#}/^Y/d" -e "s/^[XY]//" >"${T}/${SITEFILE}" <<-EOF || die
X
;;; ${EMACS_SUFFIX} site-lisp configuration
X
(when (string-match "\\\\\`${FULL_VERSION//./\\\\.}\\\\>" emacs-version)
Y (setq find-function-C-source-directory
Y "${EPREFIX}${cdir}")
X (let ((path (getenv "INFOPATH"))
X (dir "${EPREFIX}/usr/share/info/${EMACS_SUFFIX}")
X (re "\\\\\`${EPREFIX}/usr/share\\\\>"))
X (and path
X ;; move Emacs Info dir before anything else in /usr/share
X (let* ((p (cons nil (split-string path ":" t))) (q p))
X (while (and (cdr q) (not (string-match re (cadr q))))
X (setq q (cdr q)))
X (setcdr q (cons dir (delete dir (cdr q))))
X (setq Info-directory-list (prune-directory-list (cdr p)))))))
EOF
elisp-site-file-install "${T}/${SITEFILE}" || die

dodoc README BUGS CONTRIBUTE

if use gui && use aqua; then
dodir /Applications/Gentoo
rm -rf "${ED}"/Applications/Gentoo/${EMACS_SUFFIX^}.app || die
mv nextstep/Emacs.app \
"${ED}"/Applications/Gentoo/${EMACS_SUFFIX^}.app || die
fi

local DOC_CONTENTS="You can set the version to be started by
/usr/bin/emacs through the Emacs eselect module, which also
redirects man and info pages. Therefore, several Emacs versions can
be installed at the same time. \"man emacs.eselect\" for details.
\\n\\nIf you upgrade from a previous major version of Emacs, then
it is strongly recommended that you use app-admin/emacs-updater
to rebuild all byte-compiled elisp files of the installed Emacs
packages."
if use gui; then
DOC_CONTENTS+="\\n\\nYou need to install some fonts for Emacs.
Installing media-fonts/font-adobe-{75,100}dpi on the X server's
machine would satisfy basic Emacs requirements under X11.
See also https://wiki.gentoo.org/wiki/Xft_support_for_GNU_Emacs
for how to enable anti-aliased fonts."
use aqua && DOC_CONTENTS+="\\n\\n${EMACS_SUFFIX^}.app is in
\"${EPREFIX}/Applications/Gentoo\". You may want to copy or
symlink it into /Applications by yourself."
fi
tc-is-cross-compiler && DOC_CONTENTS+="\\n\\nEmacs did not write
a portable dump file due to being cross-compiled.
To create this file at run time, execute the following command:
\\n${EMACS_SUFFIX} --batch -Q --eval='(dump-emacs-portable
\"/usr/libexec/emacs/${FULL_VERSION}/${CHOST}/emacs.pdmp\")'"
readme.gentoo_create_doc
}

pkg_preinst() {
# move Info dir file to correct name
if [[ -d ${ED}/usr/share/info ]]; then
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{.orig,} || die
fi
}

pkg_postinst() {
elisp-site-regen
readme.gentoo_print_elog

if use livecd; then
# force an update of the emacs symlink for the livecd/dvd,
# because some microemacs packages set it with USE=livecd
eselect emacs update
else
eselect emacs update ifunset
fi
}

pkg_postrm() {
elisp-site-regen
eselect emacs update ifunset
}

+ 4
- 3
app-editors/emacs/emacs-27.2.9999.ebuild View File

@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
EAPI=8

inherit autotools elisp-common flag-o-matic readme.gentoo-r1 toolchain-funcs

@@ -125,8 +125,7 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
DEPEND="${RDEPEND}
gui? ( !aqua? ( x11-base/xorg-proto ) )"

BDEPEND="app-eselect/eselect-emacs
sys-apps/texinfo
BDEPEND="sys-apps/texinfo
virtual/pkgconfig
gzip-el? ( app-arch/gzip )"

@@ -134,6 +133,8 @@ RDEPEND="${RDEPEND}
!app-editors/emacs-vcs:27
app-eselect/eselect-emacs"

IDEPEND="app-eselect/eselect-emacs"

EMACS_SUFFIX="emacs-${SLOT}"
SITEFILE="20${EMACS_SUFFIX}-gentoo.el"



+ 15
- 6
app-editors/emacs/emacs-28.0.9999.ebuild View File

@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
EAPI=8

inherit autotools elisp-common flag-o-matic readme.gentoo-r1 toolchain-funcs

@@ -118,14 +118,15 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
DEPEND="${RDEPEND}
gui? ( !aqua? ( x11-base/xorg-proto ) )"

BDEPEND="app-eselect/eselect-emacs
sys-apps/texinfo
BDEPEND="sys-apps/texinfo
virtual/pkgconfig
gzip-el? ( app-arch/gzip )"

RDEPEND="${RDEPEND}
app-eselect/eselect-emacs"

IDEPEND="app-eselect/eselect-emacs"

EMACS_SUFFIX="emacs-${SLOT}"
SITEFILE="20${EMACS_SUFFIX}-gentoo.el"

@@ -141,9 +142,17 @@ src_prepare() {
|| die "Upstream version number changed to ${FULL_VERSION}"
fi

# These files ignore LDFLAGS. We assign the variable here, because
# for live ebuilds FULL_VERSION doesn't exist in global scope
use jit && QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"
if use jit; then
# These files ignore LDFLAGS. We assign the variable here, because
# for live ebuilds FULL_VERSION doesn't exist in global scope
QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"

# gccjit doesn't play well with ccache #801580
# For now, work around the problem with an explicit LIBRARY_PATH
has ccache ${FEATURES} && tc-is-gcc \
&& export LIBRARY_PATH=$("$(tc-getCC)" -print-search-dirs \
| sed -n '/^libraries:/{s:^[^/]*::;p}')
fi

default



BIN
app-emulation/Manifest.gz View File


+ 0
- 92
app-emulation/cloud-init/files/cloud-init-20.1-gentoo-support-upstream-templates.patch View File

@@ -1,93 +0,0 @@
From 823454f1ea140ec47f5f9c5c3c5ad62eb458eb8a Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Wed, 24 Oct 2018 10:52:46 +0200
Subject: [PATCH 2/5] Add support for gentoo in cloud.cfg and templates

---
config/cloud.cfg.tmpl | 8 ++++++--
templates/hosts.gentoo.tmpl | 24 ++++++++++++++++++++++++
tools/render-cloudcfg | 2 +-
3 files changed, 31 insertions(+), 3 deletions(-)
create mode 100644 templates/hosts.gentoo.tmpl

diff --git a/config/cloud.cfg.tmpl b/config/cloud.cfg.tmpl
index 1fef133a..3f5a41a2 100644
--- a/config/cloud.cfg.tmpl
+++ b/config/cloud.cfg.tmpl
@@ -134,7 +134,7 @@ cloud_final_modules:
# (not accessible to handlers/transforms)
system_info:
# This will affect which distro class gets used
-{% if variant in ["amazon", "arch", "centos", "debian", "fedora", "freebsd", "rhel", "suse", "ubuntu"] %}
+{% if variant in ["amazon", "arch", "centos", "debian", "fedora", "freebsd", "gentoo", "rhel", "suse", "ubuntu"] %}
distro: {{ variant }}
{% else %}
# Unknown/fallback distro.
@@ -172,7 +172,7 @@ system_info:
primary: http://ports.ubuntu.com/ubuntu-ports
security: http://ports.ubuntu.com/ubuntu-ports
ssh_svcname: ssh
-{% elif variant in ["amazon", "arch", "centos", "fedora", "rhel", "suse"] %}
+{% elif variant in ["amazon", "arch", "centos", "fedora", "gentoo", "rhel", "suse"] %}
# Default user name + that default users groups (if added/used)
default_user:
name: {{ variant }}
@@ -180,6 +180,10 @@ system_info:
{% endif %}
{% if variant == "suse" %}
groups: [cdrom, users]
+{% elif variant == "gentoo" %}
+ groups: [users, wheel]
+ primary_group: users
+ no_user_group: true
{% elif variant == "arch" %}
groups: [wheel, users]
{% else %}
diff --git a/templates/hosts.gentoo.tmpl b/templates/hosts.gentoo.tmpl
new file mode 100644
index 00000000..cd045fa6
--- /dev/null
+++ b/templates/hosts.gentoo.tmpl
@@ -0,0 +1,24 @@
+## template:jinja
+{#
+This file /etc/cloud/templates/hosts.gentoo.tmpl is only utilized
+if enabled in cloud-config. Specifically, in order to enable it
+you need to add the following to config:
+ manage_etc_hosts: True
+-#}
+# Your system has configured 'manage_etc_hosts' as True.
+# As a result, if you wish for changes to this file to persist
+# then you will need to either
+# a.) make changes to the master file in /etc/cloud/templates/hosts.gentoo.tmpl
+# b.) change or remove the value of 'manage_etc_hosts' in
+# /etc/cloud/cloud.cfg or cloud-config from user-data
+#
+# The following lines are desirable for IPv4 capable hosts
+127.0.0.1 {{fqdn}} {{hostname}}
+127.0.0.1 localhost.localdomain localhost
+127.0.0.1 localhost4.localdomain4 localhost4
+
+# The following lines are desirable for IPv6 capable hosts
+::1 {{fqdn}} {{hostname}}
+::1 localhost.localdomain localhost
+::1 localhost6.localdomain6 localhost6
+
diff --git a/tools/render-cloudcfg b/tools/render-cloudcfg
index 8b7cb875..d109044e 100755
--- a/tools/render-cloudcfg
+++ b/tools/render-cloudcfg
@@ -4,7 +4,7 @@ import argparse
import os
import sys
-VARIANTS = ["amazon", "arch", "centos", "debian", "fedora", "freebsd", "rhel",
- "suse", "ubuntu", "unknown"]
+VARIANTS = ["amazon", "arch", "centos", "debian", "fedora", "freebsd",
+ "gentoo", "rhel", "suse", "ubuntu", "unknown"]
if "avoid-pep8-E402-import-not-top-of-file":
_tdir = os.path.abspath(os.path.join(os.path.dirname(__file__), ".."))
2.19.1


+ 1
- 0
app-emulation/containerd/containerd-1.4.6.ebuild View File

@@ -21,6 +21,7 @@ DEPEND="
seccomp? ( sys-libs/libseccomp )
"

# recommended version of runc is found in script/setup/runc-version
RDEPEND="
${DEPEND}
~app-emulation/runc-1.0.0_rc95


+ 1
- 0
app-emulation/containerd/containerd-1.5.2.ebuild View File

@@ -19,6 +19,7 @@ DEPEND="
seccomp? ( sys-libs/libseccomp )
"

# recommended version of runc is found in script/setup/runc-version
RDEPEND="
${DEPEND}
~app-emulation/runc-1.0.0_rc95


+ 10
- 4
app-emulation/uade/metadata.xml View File

@@ -1,8 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
<use>
<flag name="fuse">Enable <pkg>sys-fs/fuse</pkg> uadefs frontend for on-the-fly WAV conversion</flag>
</use>
<upstream>
<remote-id type="gitlab">uade-music-player/uade</remote-id>
</upstream>
</pkgmetadata>

+ 0
- 39
app-emulation/uade/uade-2.13-r1.ebuild View File

@@ -1,39 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit toolchain-funcs

DESCRIPTION="Unix Amiga Delitracker Emulator - plays old Amiga tunes through UAE emulation"
HOMEPAGE="https://zakalwe.fi/uade"
SRC_URI="https://zakalwe.fi/uade/uade2/${P}.tar.bz2"

LICENSE="GPL-2+ LGPL-2+"
SLOT="0"
KEYWORDS="amd64 ppc x86"

RDEPEND="media-libs/libao"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

DOCS=( AUTHORS ChangeLog doc/BUGS doc/PLANS )

PATCHES=( "${FILESDIR}"/${P}-configure.patch )

src_configure() {
tc-export CC

./configure \
--prefix="${EPREFIX}"/usr \
--package-prefix="${D}" \
--libdir="${EPREFIX}/usr/$(get_libdir)" \
--with-text-scope \
--without-xmms \
--without-audacious || die
}

src_install() {
default
doman doc/uade123.1
}

+ 52
- 0
app-emulation/uade/uade-2.13-r2.ebuild View File

@@ -0,0 +1,52 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7